## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           hyprlang
Version:        0.6.3
Release:        0.1.1
Summary:        The official implementation library for the hypr config language

License:        LGPL-3.0-only
URL:            https://github.com/hyprwm/hyprlang
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(hyprutils) >= 0.7.1

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
Development files for %{name}.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_libdir}/libhyprlang.so.2
%{_libdir}/libhyprlang.so.%{version}

%files devel
%{_includedir}/hyprlang.hpp
%{_libdir}/libhyprlang.so
%{_libdir}/pkgconfig/hyprlang.pc

%changelog
* Mon May 12 2025 ploxold - 0.6.3-0.1
- Update to 0.6.3

* Sun Apr 13 2025 ploxold - 0.6.1-0.1
- Update to 0.6.1

* Tue Jan 07 2025 ploxold - 0.6.0-0.5
- Update to 0.6.0

## START: Generated by rpmautospec
* Sun Oct 06 2024 Pavel Solovev <daron439@gmail.com> - 0.5.3-1
- Update to 0.5.3

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 01 2024 Pavel Solovev <daron439@gmail.com> - 0.5.2-1
- Update to 0.5.2

* Sun Apr 14 2024 Pavel Solovev <daron439@gmail.com> - 0.5.1-1
- Update to 0.5.1

* Mon Mar 11 2024 Pavel Solovev <daron439@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Wed Feb 28 2024 Pavel Solovev <daron439@gmail.com> - 0.4.1-1
- Update to 0.4.1

* Sun Feb 18 2024 Pavel Solovev <daron439@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1^1.git25da080-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1^1.git25da080-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Pavel Solovev <daron439@gmail.com> - 0.2.1^1.git25da080-1
- import rhbz#2256995
## END: Generated by rpmautospec
